org.apache.http.config

## Class ConnectionConfig

- java.lang.Object
- - org.apache.http.config.ConnectionConfig

- All Implemented Interfaces:
    Cloneable

      @Immutable
      public class ConnectionConfig
      extends Object
      implements Cloneable

  HTTP connection configuration.
  Since:
    4.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectionConfig.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConnectionConfig` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConnectionConfig` | `clone()`
    `static ConnectionConfig.Builder` | `copy(ConnectionConfig config)`
    `static ConnectionConfig.Builder` | `custom()`
    `int` | `getBufferSize()`
    `Charset` | `getCharset()`
    `int` | `getFragmentSizeHint()`
    `CodingErrorAction` | `getMalformedInputAction()`
    `MessageConstraints` | `getMessageConstraints()`
    `CodingErrorAction` | `getUnmappableInputAction()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final ConnectionConfig DEFAULT

  - ### Method Detail

    - #### getBufferSize

          public int getBufferSize()

    - #### getFragmentSizeHint

          public int getFragmentSizeHint()

    - #### getCharset

          public Charset getCharset()

    - #### getMalformedInputAction

          public CodingErrorAction getMalformedInputAction()

    - #### getUnmappableInputAction

          public CodingErrorAction getUnmappableInputAction()

    - #### getMessageConstraints

          public MessageConstraints getMessageConstraints()

    - #### clone

          protected ConnectionConfig clone()
                                    throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static ConnectionConfig.Builder custom()

    - #### copy

          public static ConnectionConfig.Builder copy(ConnectionConfig config)

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.